mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇭🇰_HK_中国香港
    type: vmess
    server: 47.244.120.197
    port: 36703
    uuid: 45b83519-9c4f-4052-a11b-02e017b636d4
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: ws
    ws-opts:
      path: /arki?ed=2048
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国
    type: vless
    server: 151.101.130.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    tls: false
    client-fingerprint: chrome
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
    type: trojan
    server: 103.177.136.45
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_1
    type: vless
    server: 199.232.197.131
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: 77.246.98.49
    port: 443
    uuid: 7691de10-83e2-44fd-a2fa-0f31aad8efef
    servername: dl.google.com
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: AvKwu--_K0GpwPE_axFPEb56l1zyRxKhhYisBPb00gE
      short-id: cd8971da5a669139
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_2
    type: vless
    server: 151.101.2.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国
    type: vless
    server: 104.167.198.198
    port: 443
    uuid: 69a2af58-d74a-44ca-864a-e09b493f4274
    servername: www.nvidia.com
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: 7kOgSBnHMeClMoLD0PdTQGflVNiYl47pT94TBsTXh1Y
      short-id: "8166"
    skip-cert-verify: true
    udp: true
  - name: 🇸🇬_SG_新加坡->🇩🇪_DE_德国
    type: vmess
    server: v33.hdacd.com
    port: 30833
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇯🇵_JP_日本->🇺🇸_US_美国
    type: vmess
    server: v9.hdacd.com
    port: 30809
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国_1
    type: vless
    server: 206.82.3.131
    port: 443
    uuid: d26598cf-2cdf-4219-80d0-94646dff160d
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_3
    type: vless
    server: 151.101.194.219
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇬🇧_GB_英国
    type: vmess
    server: 69.84.182.49
    port: 80
    uuid: f8975871-a7a0-4906-8835-a23c1258ca1e
    alterId: 0
    cipher: auto
    tls: false
    skip-cert-verify: true
    network: ws
    ws-opts:
      path: /
      headers:
        Host: google.whatsapp.snapp.torob.basalam.zula.uplaod-music.ir.
    udp: true
  - name: 🇳🇱_NL_荷兰_1
    type: vless
    server: 81.90.29.53
    port: 8443
    uuid: cf038a28-8f85-41fc-9e86-ba99a3fdd0d9
    servername: mishaduck.duckdns.org
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: chrome
    reality-opts:
      public-key: -FQM2tUbpiBjwjgla2mwkSkFhFIKQU0FQOvRi0ZD_mY
      short-id: 540f5784c2481b5a
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.45
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇳🇱_NL_荷兰_2
    type: vless
    server: 146.103.123.114
    port: 443
    uuid: 7691de10-83e2-44fd-a2fa-0f31aad8efef
    servername: yahoo.com
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: firefox
    reality-opts:
      public-key: vtbYKmQECfnd9IQN3SvhlCWlWHwEzHRA0rD_wT46TnA
      short-id: cd8971da5a669139
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_4
    type: vless
    server: 167.82.0.1
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
    type: trojan
    server: 103.177.136.42
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇳_CN_中国
    type: ss
    server: 61.171.92.202
    port: 1001
    cipher: aes-256-gcm
    password: "123"
    skip-cert-verify: true
    udp: true
  - name: 🇸🇬_SG_新加坡
    type: vmess
    server: v45.hdacd.com
    port: 30845
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.45
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇸🇬_SG_新加坡_1
    type: vless
    server: 67.159.52.159
    port: 443
    uuid: 3dc30f8b-e411-4f68-9fda-73b63d920e1a
    servername: deepl.com
    tls: true
    flow: xtls-rprx-vision
    client-fingerprint: qq
    reality-opts:
      public-key: S2Fe4Ft_uGGNGVShoyrKHED3VaoRfjLQxDBD3LaNbgc
      short-id: 9350a4f6c01e987a
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.42
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
  - name: 🇭🇰_HK_中国香港->🇺🇸_US_美国
    type: vmess
    server: v4.hdacd.com
    port: 30804
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_5
    type: vless
    server: 151.101.109.223
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.42
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
  - name: 🇸🇬_SG_新加坡->🇬🇧_GB_英国
    type: vmess
    server: v36.hdacd.com
    port: 30836
    uuid: cbb3f877-d1fb-344c-87a9-d153bffd5484
    alterId: 2
    cipher: auto
    tls: false
    skip-cert-verify: true
    udp: true
  - name: 🇩🇪_DE_德国
    type: vless
    server: 46.225.226.77
    port: 2095
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    servername: refersion.com
    tls: true
    client-fingerprint: random
    reality-opts:
      public-key: 9nvQaypTgq2UZ_9wSUctYxStDRWNJqe3o9evmKc5UBE
      short-id: bc348c28dbc7b9f5
    skip-cert-verify: true
    udp: true
  - name: 🇺🇸_US_美国->🇩🇪_DE_德国_6
    type: vless
    server: speedtest.net
    port: 80
    uuid: 0058c215-ab1e-400c-a403-b5b2fda7e846
    network: ws
    servername: max-gb1.global.ssl.fastly.net
    tls: false
    ws-opts:
      path: /
      headers:
        Host: max-gb1.global.ssl.fastly.net
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_3
    type: trojan
    server: 103.177.136.45
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇭🇰_HK_中国香港
      - 🇺🇸_US_美国->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇺🇸_US_美国->🇩🇪_DE_德国_1
      - 🇳🇱_NL_荷兰
      - 🇺🇸_US_美国->🇩🇪_DE_德国_2
      - 🇺🇸_US_美国
      - 🇸🇬_SG_新加坡->🇩🇪_DE_德国
      - 🇯🇵_JP_日本->🇺🇸_US_美国
      - 🇺🇸_US_美国_1
      - 🇺🇸_US_美国->🇩🇪_DE_德国_3
      - 🇺🇸_US_美国->🇬🇧_GB_英国
      - 🇳🇱_NL_荷兰_1
      - 🇨🇦_CA_加拿大
      - 🇳🇱_NL_荷兰_2
      - 🇺🇸_US_美国->🇩🇪_DE_德国_4
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇨🇳_CN_中国
      - 🇸🇬_SG_新加坡
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇸🇬_SG_新加坡_1
      - 🇨🇦_CA_加拿大_1
      - 🇭🇰_HK_中国香港->🇺🇸_US_美国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_5
      - 🇨🇦_CA_加拿大_2
      - 🇸🇬_SG_新加坡->🇬🇧_GB_英国
      - 🇩🇪_DE_德国
      - 🇺🇸_US_美国->🇩🇪_DE_德国_6
      - 🇨🇦_CA_加拿大_3
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
